Update ruleboard
curl --request PUT \
--url https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards/{ruleboardSlug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changes": [
{
"item": {
"id": "<string>",
"type": "<string>"
},
"policy": "<string>",
"update_type": "<string>"
}
]
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards/{ruleboardSlug}"
payload = { "changes": [
{
"item": {
"id": "<string>",
"type": "<string>"
},
"policy": "<string>",
"update_type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changes: [
{
item: {id: '<string>', type: '<string>'},
policy: '<string>',
update_type: '<string>'
}
]
})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/ruleboards/{ruleboardSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rules": [
{
"policy": "<string>",
"item": {
"id": "<string>",
"type": "<string>"
}
}
]
}Ruleboards
Update ruleboard
PUT
/
api
/
agent
/
deployments
/
{deploymentId}
/
ruleboards
/
{ruleboardSlug}
Update ruleboard
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier of your deployment. Can be found via the Deployments Service or in your Settings in the web UI.
Example:
1234
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I